Name: ovm-template-config
Version: 3.8
Release: 4%{?dist}
Summary: Oracle VM template configuration tool.
Group: Applications/System
License: GPL
URL: http://www.oracle.com/virtualization
Source0: %{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
BuildRequires: python3 >= 3.6
Requires: python3 >= 3.6

%description
Oracle VM template configuration tool.

%package system
Summary: Oracle VM template system configuration script.
Group: Applications/System
Requires: ovm-template-config

%description system
Oracle VM template system configuration script.

%package network
Summary: Oracle VM template network configuration script.
Group: Applications/System
Requires: ovm-template-config

%description network
Oracle VM template network configuration script.

%package datetime
Summary: Oracle VM template datetime configuration script.
Group: Applications/System
Requires: ovm-template-config

%description datetime
Oracle VM template datetime configuration script.

%package firewall
Summary: Oracle VM template firewall configuration script.
Group: Applications/System
Requires: ovm-template-config

%description firewall
Oracle VM template firewall configuration script.

%package selinux
Summary: Oracle VM template selinux configuration script.
Group: Applications/System
Requires: ovm-template-config

%description selinux
Oracle VM template selinux configuration script.

%package authentication
Summary: Oracle VM template authentication configuration script.
Group: Applications/System
Requires: ovm-template-config

%description authentication
Oracle VM template authentication configuration script.

%package user
Summary: Oracle VM template user configuration script.
Group: Applications/System
Requires: ovm-template-config

%description user
Oracle VM template user configuration script.

%package ssh
Summary: Oracle VM template ssh configuration script.
Group: Applications/System
Requires: ovm-template-config

%description ssh
Oracle VM template ssh configuration script.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post system
if [ $1 = 1 ]; then
    /usr/sbin/ovm-chkconfig --add system
fi

%preun system
if [ $1 = 0 ]; then
    /usr/sbin/ovm-chkconfig --del system
fi

%post network
if [ $1 = 1 ]; then
    /usr/sbin/ovm-chkconfig --add network
fi

%preun network
if [ $1 = 0 ]; then
    /usr/sbin/ovm-chkconfig --del network
fi

%post datetime
if [ $1 = 1 ]; then
    /usr/sbin/ovm-chkconfig --add datetime
fi

%preun datetime
if [ $1 = 0 ]; then
    /usr/sbin/ovm-chkconfig --del datetime
fi

%post firewall
if [ $1 = 1 ]; then
    /usr/sbin/ovm-chkconfig --add firewall
fi

%preun firewall
if [ $1 = 0 ]; then
    /usr/sbin/ovm-chkconfig --del firewall
fi

%post selinux
if [ $1 = 1 ]; then
    /usr/sbin/ovm-chkconfig --add selinux
fi

%preun selinux
if [ $1 = 0 ]; then
    /usr/sbin/ovm-chkconfig --del selinux
fi

%post authentication
if [ $1 = 1 ]; then
    /usr/sbin/ovm-chkconfig --add authentication
fi

%preun authentication
if [ $1 = 0 ]; then
    /usr/sbin/ovm-chkconfig --del authentication
fi

%post user
if [ $1 = 1 ]; then
    /usr/sbin/ovm-chkconfig --add user
fi

%preun user
if [ $1 = 0 ]; then
    /usr/sbin/ovm-chkconfig --del user
fi

%post ssh
if [ $1 = 1 ]; then
    /usr/sbin/ovm-chkconfig --add ssh
fi

%preun ssh
if [ $1 = 0 ]; then
    /usr/sbin/ovm-chkconfig --del ssh
fi

%files
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_sysconfdir}/template.d/cleanup.d
%dir %{_sysconfdir}/template.d/configure.d
%dir %{_sysconfdir}/template.d/migrate.d
%dir %{_sysconfdir}/template.d/resume.d
%dir %{_sysconfdir}/template.d/scripts
%dir %{_sysconfdir}/template.d/shutdown.d
%dir %{_sysconfdir}/template.d/suspend.d
%dir %{_sysconfdir}/template.d/unconfigure.d
%dir %{_sysconfdir}/template.d/reconfigure.d
%{_sbindir}/ovm-template-config
%{_sbindir}/ovm-chkconfig
/usr/lib/python*/site-packages

%files system
%defattr(-,root,root,-)
%{_sysconfdir}/template.d/scripts/system

%files network
%defattr(-,root,root,-)
%{_sysconfdir}/template.d/scripts/network

%files datetime
%defattr(-,root,root,-)
%{_sysconfdir}/template.d/scripts/datetime

%files firewall
%defattr(-,root,root,-)
%{_sysconfdir}/template.d/scripts/firewall

%files selinux
%defattr(-,root,root,-)
%{_sysconfdir}/template.d/scripts/selinux

%files authentication
%defattr(-,root,root,-)
%{_sysconfdir}/template.d/scripts/authentication

%files user
%defattr(-,root,root,-)
%{_sysconfdir}/template.d/scripts/user

%files ssh
%defattr(-,root,root,-)
%{_sysconfdir}/template.d/scripts/ssh

%changelog
%changelog
* Wed Feb 24 2021 Vamsi Krishna Inguva <vamsi.inguva@oracle.com> - 3.8-4.el8
- Oracle-Bug: 32491049
     Perform hostname setting before network restart during initial template
     network configuration. This may resolve timing issue in IPV4 networking 
     set up where IP address is not configured after initial boot.
     
* Wed Nov 4 2020 Vamsi Krishna Inguva <vamsi.inguva@oracle.com> - 3.8-3.el8
- Reviewed-by: Adnan Misherfi <adnan.misherfi@oracle.com>
- Oracle-Bug: 32103414
     nmcli network restart should be performed only when ONBOOT is set to yes.
     Otherwise nmcli network on may bring the interface up even when ONBOOT is 
     set to no. Add some log files to the cleanup.

* Mon Nov 2 2020 Vamsi Krishna Inguva <vamsi.inguva@oracle.com> - 3.8-2.el8
- Reviewed-by: Adnan Misherfi <adnan.misherfi@oracle.com>
- Oracle-Bug: 32082191
     Restart networking using nmcli along with NetworkManager. This will configure
     static IP address properly. Also make changes to network script such that 
     BOOTPROTO takes ‘none’ instead of ‘static’ for static IP addresses.

* Mon Oct 19 2020 Vamsi Krishna Inguva <vamsi.inguva@oracle.com> - 3.8-1.el8
- Reviewed-by: Adnan Misherfi <adnan.misherfi@oracle.com>
- Oracle-Bug: 29629987
     Port ova-template-config to Oracle Linux 8. Increase version to 3.8.
     Made version, python version changes to Makefile and ovm-template-config.spec.
     Converted python2 to python3 since python3 is the default in Oracle Linux 8.
     Included Network Manager and network-scripts related changes.
     ovm-template-config-3.8-1.el8 is taken from tags-7/ovm-template-config-3.7-6.el7.

* Mon Mar 14 2016 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.7-6.el7 
- Do not guess hostname IP when user already provides hosts pairs
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Joe Jin <joe.jin@oracle.com> [bug 22866798] 

* Thu Apr 16 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.7-5.el7
- handle white space in values. [bug 20893297]

* Wed Apr 15 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.7-4.el7
- handle white space in values. [bug 20872238]

* Thu Mar 19 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.7-3.el7 
- Drop system-config-date requirement 

* Thu Dec 30 2014 Jacob Wang <jacob.wang@oracle.com> - 3.7-2.el7
- fix password checking regular expression [bug 20241663] (zhigang.x.wang@oracle.com)

* Mon Dec 01 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.7-1.el7
- port for el7
